Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.xml
Class XhtmlProcessing

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.xml.XhtmlProcessing

    public final class XhtmlProcessing

extends java.lang.Object

Methods for processing XHTML elements in an XML document. These are closely related in functionality to corresponding methods in the XML module.

Author:
  Gary McGath
See Also:
  `HtmlDocDesc`

Constructor Summary
`XhtmlProcessing()`

Method Summary
`protected static void` | `processElement(java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes atts, HtmlMetadata mdata)` Process the element to extract any available metadata.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XhtmlProcessing

    public XhtmlProcessing()

Method Detail

### processElement

    protected static void processElement(java.lang.String localName,
                                         java.lang.String qualifiedName,
                                         org.xml.sax.Attributes atts,
                                         HtmlMetadata mdata)

  Process the element to extract any available metadata.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD